#!/usr/bin/env python

"""
crate_anon/crateweb/consent/migrations/0009_auto_20180629_1132.py

===============================================================================

    Copyright (C) 2015-2019 Rudolf Cardinal (rudolf@pobox.com).

    This file is part of CRATE.

    CRATE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    CRATE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CRATE. If not, see <http://www.gnu.org/licenses/>.

===============================================================================

**Consent app, migration 0009.**

"""
# Generated by Django 2.0.6 on 2018-06-29 11:32

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('consent', '0008_auto_20170507_1218'),
    ]

    operations = [
        # ClinicianResponse
        migrations.AddField(
            model_name='clinicianresponse',
            name='processed',
            field=models.BooleanField(default=False),
        ),
        migrations.RunSQL("""
            UPDATE consent_clinicianresponse
            SET processed = 1
            WHERE created_at < '2018-06-01'
        """),
        migrations.AddField(
            model_name='clinicianresponse',
            name='processed_at',
            field=models.DateTimeField(null=True),
        ),

        # ContactRequest
        migrations.AddField(
            model_name='patientresponse',
            name='processed',
            field=models.BooleanField(default=False),
        ),
        migrations.RunSQL("""
            UPDATE consent_patientresponse
            SET processed = 1
            WHERE created_at < '2018-06-01'
        """),
        migrations.AddField(
            model_name='contactrequest',
            name='processed_at',
            field=models.DateTimeField(null=True),
        ),

        # PatientResponse
        migrations.AddField(
            model_name='patientresponse',
            name='processed_at',
            field=models.DateTimeField(null=True),
        ),

        # Other trivial changes
        migrations.AlterField(
            model_name='patientlookup',
            name='source_db',
            field=models.CharField(
                choices=[
                    ('dummy_clinical', 'Dummy clinical database for testing'),
                    ('cpft_crs', 'CPFT Care Records System (CRS) 2005-2012'),
                    ('cpft_rio_rcep', 'CPFT RiO 2013- (preprocessed by Servelec RCEP tool)'),  # noqa
                    ('cpft_rio_raw', 'CPFT RiO 2013- (raw)'),
                    ('cpft_rio_crate', 'CPFT RiO 2013- (preprocessed by CRATE)'),  # noqa
                    ('cpft_rio_datamart', 'CPFT RiO 2013- (data warehouse processed version)')  # noqa
                ],
                max_length=20,
                verbose_name='Source database used for lookup'
            ),
        ),
    ]
